commit:     629c66e841a616ab168923fb009bf50fcb30ade8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  3 03:35:24 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep  3 03:35:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=629c66e8

net-analyzer/nmap: add 7.93

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/nmap/Manifest                             |  2 ++
 .../nmap/{nmap-9999.ebuild => nmap-7.93.ebuild}        | 18 +++++++-----------
 net-analyzer/nmap/nmap-9999.ebuild                     | 18 +++++++-----------
 3 files changed, 16 insertions(+), 22 deletions(-)

diff --git a/net-analyzer/nmap/Manifest b/net-analyzer/nmap/Manifest
index 49819935ca25..ba0eb83f06f4 100644
--- a/net-analyzer/nmap/Manifest
+++ b/net-analyzer/nmap/Manifest
@@ -1,2 +1,4 @@
 DIST nmap-7.92.tar.bz2 10498200 BLAKE2B 
0f3022e797ffca7d1d3497990c86bb60ac9a80bb93cb4ec7fcfa4f51782cb8d79d4f0aca0fa6119bfd604cfe7b89af3d4223ce13ad3e6c948c021909aebd956b
 SHA512 
7828367f9dc76ff4d1e8c821260e565fb0c3cb6aba0473d24759133a3006cdf2cb087574f0dd7d2ba47a63754ba4f72e0b78cdae1333a58f05c41d428b56ad59
 DIST nmap-7.92.tar.bz2.asc 195 BLAKE2B 
a8052138e58cd8009341a5f3fb3a31f55af9383b9dbb6c7ce858d80541e000b17953c053e9a3a6d86a5551244cf13f181e6e3943095b86335cbb5dae96e20bdd
 SHA512 
300a22ab097bbff67de354de6b22a8e3287f95dd6318fcabd546ba52158e9589b19ede175587c6e31518c47bc118c7dd05db43755def075d810b16945b65e05a
+DIST nmap-7.93.tar.bz2 10823114 BLAKE2B 
e9fa0fe0f219258ab29cf59a98f09142ce1e5e70395f6578d57e644d343ff95764a8208f2fd00a686a14217821adb038a1bb4cdf25f355696e68131773cc1995
 SHA512 
4ec9295e25bd7a215e718c3dbbf09bfe6339b60850f4a8d09b5ad0cbf41a0da8ece0168efc5ca91ba1ecbd83b1d31735d77dacd5f1ec1a9fd212454dd1f0f0fd
+DIST nmap-7.93.tar.bz2.asc 195 BLAKE2B 
0c18200507c8c0901df6f0fa3230330eff72dd5e54f2d862d35a1df26b9ff3b189cebe0b91cdf47c4f87fef523cc6d9c3bcc36a42d8fcc8be7830fc861c64b5f
 SHA512 
9bd8e436a6f7010ba2e3578affc4174fae12e2e7b78e523ceeb94ba44ccd928ac2cf5da52d02a00c4f190f71425671cc817b44a6a2f8d0b42b10d535bb1af3a9

diff --git a/net-analyzer/nmap/nmap-9999.ebuild 
b/net-analyzer/nmap/nmap-7.93.ebuild
similarity index 90%
copy from net-analyzer/nmap/nmap-9999.ebuild
copy to net-analyzer/nmap/nmap-7.93.ebuild
index 62661ccfa927..9470b5ddbf08 100644
--- a/net-analyzer/nmap/nmap-9999.ebuild
+++ b/net-analyzer/nmap/nmap-7.93.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 LUA_COMPAT=( lua5-3 )
 LUA_REQ_USE="deprecated"
@@ -14,8 +14,6 @@ if [[ ${PV} == *9999* ]] ; then
 
        EGIT_REPO_URI="https://github.com/nmap/nmap";
 
-       # Just in case for now as future seems undecided.
-       LICENSE="NPSL"
 else
        VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/nmap.asc
        inherit verify-sig
@@ -24,10 +22,9 @@ else
        SRC_URI+=" verify-sig? ( https://nmap.org/dist/sigs/${P}.tar.bz2.asc )"
 
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-
-       LICENSE="|| ( NPSL GPL-2 )"
 fi
 
+LICENSE="|| ( NPSL GPL-2 )"
 SLOT="0"
 IUSE="ipv6 libssh2 ncat nping +nse ssl symlink +system-lua"
 REQUIRED_USE="
@@ -54,9 +51,10 @@ RDEPEND="
        system-lua? ( ${LUA_DEPS} )
 "
 DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
 if [[ ${PV} != *9999* ]] ; then
-       BDEPEND+="verify-sig? ( sec-keys/openpgp-keys-nmap )"
+       BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-nmap )"
 fi
 
 PATCHES=(
@@ -92,7 +90,7 @@ src_prepare() {
        eautoreconf
 
        if [[ ${CHOST} == *-darwin* ]] ; then
-               # we need the original for a Darwin-specific fix, bug #604432
+               # We need the original for a Darwin-specific fix, bug #604432
                mv libdnet-stripped/include/config.h.in{.nmap-orig,} || die
        fi
 }
@@ -112,16 +110,14 @@ src_configure() {
                --cache-file="${S}"/config.cache \
                --with-libdnet=included \
                --with-pcre="${ESYSROOT}"/usr \
+               --without-dpdk \
                --without-ndiff \
                --without-zenmap
 }
 
 src_compile() {
        local directory
-       for directory in . libnetutil nsock/src \
-               $(usex ncat ncat '') \
-               $(usex nping nping '')
-       do
+       for directory in . libnetutil nsock/src $(usev ncat) $(usev nping) ; do
                emake -C "${directory}" makefile.dep
        done
 

diff --git a/net-analyzer/nmap/nmap-9999.ebuild 
b/net-analyzer/nmap/nmap-9999.ebuild
index 62661ccfa927..9470b5ddbf08 100644
--- a/net-analyzer/nmap/nmap-9999.ebuild
+++ b/net-analyzer/nmap/nmap-9999.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 LUA_COMPAT=( lua5-3 )
 LUA_REQ_USE="deprecated"
@@ -14,8 +14,6 @@ if [[ ${PV} == *9999* ]] ; then
 
        EGIT_REPO_URI="https://github.com/nmap/nmap";
 
-       # Just in case for now as future seems undecided.
-       LICENSE="NPSL"
 else
        VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/nmap.asc
        inherit verify-sig
@@ -24,10 +22,9 @@ else
        SRC_URI+=" verify-sig? ( https://nmap.org/dist/sigs/${P}.tar.bz2.asc )"
 
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-
-       LICENSE="|| ( NPSL GPL-2 )"
 fi
 
+LICENSE="|| ( NPSL GPL-2 )"
 SLOT="0"
 IUSE="ipv6 libssh2 ncat nping +nse ssl symlink +system-lua"
 REQUIRED_USE="
@@ -54,9 +51,10 @@ RDEPEND="
        system-lua? ( ${LUA_DEPS} )
 "
 DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
 if [[ ${PV} != *9999* ]] ; then
-       BDEPEND+="verify-sig? ( sec-keys/openpgp-keys-nmap )"
+       BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-nmap )"
 fi
 
 PATCHES=(
@@ -92,7 +90,7 @@ src_prepare() {
        eautoreconf
 
        if [[ ${CHOST} == *-darwin* ]] ; then
-               # we need the original for a Darwin-specific fix, bug #604432
+               # We need the original for a Darwin-specific fix, bug #604432
                mv libdnet-stripped/include/config.h.in{.nmap-orig,} || die
        fi
 }
@@ -112,16 +110,14 @@ src_configure() {
                --cache-file="${S}"/config.cache \
                --with-libdnet=included \
                --with-pcre="${ESYSROOT}"/usr \
+               --without-dpdk \
                --without-ndiff \
                --without-zenmap
 }
 
 src_compile() {
        local directory
-       for directory in . libnetutil nsock/src \
-               $(usex ncat ncat '') \
-               $(usex nping nping '')
-       do
+       for directory in . libnetutil nsock/src $(usev ncat) $(usev nping) ; do
                emake -C "${directory}" makefile.dep
        done
 

Reply via email to